## GeditPanel

GeditPanel

## Synopsis

                        GeditPanelPrivate;
                        GeditPanel;
    GtkWidget*          gedit_panel_new                     (GtkOrientation orientation);
    void                gedit_panel_add_item                (GeditPanel *panel,
                                                             GtkWidget *item,
                                                             const gchar *name,
                                                             GtkWidget *image);
    void                gedit_panel_add_item_with_stock_icon
                                                            (GeditPanel *panel,
                                                             GtkWidget *item,
                                                             const gchar *name,
                                                             const gchar *stock_id);
    gboolean            gedit_panel_remove_item             (GeditPanel *panel,
                                                             GtkWidget *item);
    gboolean            gedit_panel_activate_item           (GeditPanel *panel,
                                                             GtkWidget *item);
    gboolean            gedit_panel_item_is_active          (GeditPanel *panel,
                                                             GtkWidget *item);
    GtkOrientation      gedit_panel_get_orientation         (GeditPanel *panel);
    gint                gedit_panel_get_n_items             (GeditPanel *panel);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GeditPanel

## Implemented Interfaces

GeditPanel implements AtkImplementorIface and GtkBuildable.

## Properties

      "orientation"              GtkOrientation        : Read / Write / Construct Only

## Signals

      "close"                                          : Run Last / Action
      "focus-document"                                 : Run Last / Action
      "item-added"                                     : Run First
      "item-removed"                                   : Run First

## Description

## Details

### GeditPanelPrivate

    typedef struct _GeditPanelPrivate GeditPanelPrivate;

### GeditPanel

    typedef struct _GeditPanel GeditPanel;

### gedit_panel_new ()

    GtkWidget*          gedit_panel_new                     (GtkOrientation orientation);

`orientation` : |
Returns : |

### gedit_panel_add_item ()

    void                gedit_panel_add_item                (GeditPanel *panel,
                                                             GtkWidget *item,
                                                             const gchar *name,
                                                             GtkWidget *image);

`panel` : |
`item` : |
`name` : |
`image` : |

### gedit_panel_add_item_with_stock_icon ()

    void                gedit_panel_add_item_with_stock_icon
                                                            (GeditPanel *panel,
                                                             GtkWidget *item,
                                                             const gchar *name,
                                                             const gchar *stock_id);

`panel` : |
`item` : |
`name` : |
`stock_id` : |

### gedit_panel_remove_item ()

    gboolean            gedit_panel_remove_item             (GeditPanel *panel,
                                                             GtkWidget *item);

`panel` : |
`item` : |
Returns : |

### gedit_panel_activate_item ()

    gboolean            gedit_panel_activate_item           (GeditPanel *panel,
                                                             GtkWidget *item);

`panel` : |
`item` : |
Returns : |

### gedit_panel_item_is_active ()

    gboolean            gedit_panel_item_is_active          (GeditPanel *panel,
                                                             GtkWidget *item);

`panel` : |
`item` : |
Returns : |

### gedit_panel_get_orientation ()

    GtkOrientation      gedit_panel_get_orientation         (GeditPanel *panel);

`panel` : |
Returns : |

### gedit_panel_get_n_items ()

    gint                gedit_panel_get_n_items             (GeditPanel *panel);

`panel` : |
Returns : |

## Property Details

### The "`orientation`" property

      "orientation"              GtkOrientation        : Read / Write / Construct Only

The panel's orientation.

Default value: GTK_ORIENTATION_VERTICAL

## Signal Details

### The "close" signal

    void                user_function                      (GeditPanel *geditpanel,
                                                            gpointer    user_data)       : Run Last / Action

`geditpanel` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "focus-document" signal

    void                user_function                      (GeditPanel *geditpanel,
                                                            gpointer    user_data)       : Run Last / Action

`geditpanel` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.

### The "item-added" signal

    void                user_function                      (GeditPanel *geditpanel,
                                                            GtkWidget  *widget,
                                                            gpointer    user_data)       : Run First

`geditpanel` : | the object which received the signal.
`widget` : |
`user_data` : | user data set when the signal handler was connected.

### The "item-removed" signal

    void                user_function                      (GeditPanel *geditpanel,
                                                            GtkWidget  *widget,
                                                            gpointer    user_data)       : Run First

`geditpanel` : | the object which received the signal.
`widget` : |
`user_data` : | user data set when the signal handler was connected.